AppImage

Nos hacíamos eco ayer del problema de seguridad de Ubuntu 22.04.3 y Ubuntu 23.04 (y de su solución) y aquí vuelvo con otra cuestión, esta de importancia menor, en torno a las últimas versiones del Linux para seres humanos. Y es que no hay manera de ejecutar aplicaciones en formato AppImage por defecto.

Dejando al margen la discusión sobre los formatos de aplicaciones, AppImage viene bien para acceder a multitud de aplicaciones que en muchos casos no se encuentran disponibles por otra vía igual de accesible, es decir, otros formatos de fácil instalación, lo que suele derivar en ejecutables básicos y similares en el mejor de los casos.

La gracia de AppImage es, además, su carácter de formato independiente de tipo portable, a diferencia de Flatpak o Snap, donde junto con la aplicación se descargan una cantidad de paquetes a modo de dependencias que engrosan el tamaño en disco muy considerablemente. La filosofía de AppImage es descargar y ejecutar.

Como mucho, cuando uno se descarga una aplicación en formato AppImage hay que editar los permisos de la misma, permitiendo que se ejecute como lo que es (mira las propiedades del archivo para encontrar la opción). No hay más: le das y se abre. Pero no en Ubuntu 22.04 y sucesivas versiones, incluyendo la más reciente Ubuntu 23.04.

¿Por qué? Porque Ubuntu 22.04 y versiones superiores utilizan una versión mayor de la biblioteca necesaria para que el grueso de aplicaciones AppImage funcionen correctamente. Se resuelve con una sencilla orden:

sudo apt install libfuse2

Y si usar la consola te provoca urticaria, Synaptic es tu aliado (en Kubuntu, Muon).

 

Fuente: muylinux

 

¿Quién está en línea?

Hay 36266 invitados y ningún miembro en línea